<< detrend1 | FOSSEE_Signal_Processing_Toolbox | digitrevorder >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > dftmtx

# dftmtx

Computes n-by-n Discrete Fourier transformation matrix

### Syntax

    [d] = dftmtx(n)

### Parameters

n:

  Real positive scalar number

### Description

This function gives a complex matrix of values whose product with a vector produces the discrete Fourier transform. This can also be achieved by directly using the fft function i.e. y=fft(x) is same as y=A*x where A=dftmtx(n).

### Examples

    d = dftmtx(4)

Report an issue
<< detrend1 | FOSSEE_Signal_Processing_Toolbox | digitrevorder >>